{ inputs, config, pkgs, ... }:

{
  imports = [
    (import ./utils/desktop.nix { inherit inputs config pkgs; })
  ];

  programs.ssh.matchBlocks."*".identityFile = "/home/user/.secrets/SSH/Aloria/id_ed25519";

  services.hyprpaper = {
    settings = {
      wallpaper = [
        "HDMI-A-1,${./hyprland/files/wallpaper.png}"
        "HDMI-A-2,${./hyprland/files/wallpaper.png}"
        "eDP-1,${./hyprland/files/wallpaper.png}"
        "eDP-2,${./hyprland/files/wallpaper.png}"
      ];
    };
  };

  # wayland.windowManager.hyprland.settings.env = ["WLR_DRM_DEVICES,/dev/dri/by-path/pci-0000:01:00.0-card"]; # Nvidia
  # wayland.windowManager.hyprland.settings.env = ["WLR_DRM_DEVICES,/dev/dri/by-path/pci-0000:00:02.0-card"]; # Intel
  wayland.windowManager.hyprland.settings = {
    exec-once = [
      "${pkgs.swaylock-fancy}/bin/swaylock-fancy"
    ];
    monitor = [
      "eDP-1,1920x1080@144,0x0,1"
      "eDP-2,1920x1080@144,0x0,1"
      "HDMI-A-2,1920x1080@60,0x-1080,1"
      "HDMI-A-1,1920x1080@60,0x-1080,1"
    ];
    bind = [
      ", XF86PowerOff, exec, ${pkgs.rofi}/bin/rofi -show power-menu -modi power-menu:${
          ./hyprland/files/rofi-power-menu.sh
        }"
    ];
    general.gaps_out = 1;
  };

  programs.alacritty.settings.font.size = 13;
}
